#-------------------------------------------------------------------------------
# Copyright KG-dev
# Created by Kenny Geyskens
#-------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

#-------------------------------------------------------------------------------

module KGdev
  module MaterialModes

    ### CONSTANTS ### ----------------------------------------------------------

    # Cache the location of the extensions's folder. This is because
    # getting the path when scrambled can mess things up.
    PATH = File.dirname(__FILE__).freeze

    # Put translation object where the extension can find it. We assign it to a
    # constant so it's accessible from child modules and classes.
    LH = LanguageHandler.new("kgdev.materialmodes.strings").freeze

    # Plugin information
    PLUGIN_ID       = File.basename( __FILE__, ".rb").freeze
    PLUGIN_NAME     = 'Material Modes, by KG-dev.'.freeze
    PLUGIN_VERSION  = '1.0.1214'.freeze

    ### EXTENSION ### ----------------------------------------------------------

    unless file_loaded?( __FILE__ )

      # Register the extension
      file_loaded( __FILE__ )
      loader = File.join(PATH, PLUGIN_ID, "extension")
      ex = SketchupExtension.new(PLUGIN_NAME, loader)
      ex.description = LH["Quickly toggle between different material modes."]
      ex.version     = PLUGIN_VERSION
      ex.copyright   = "#{Time.now.year}, KG-dev"
      ex.creator     = 'KG-dev'
      Sketchup.register_extension( ex, true )
    end

  end # module
end # module

#-------------------------------------------------------------------------------

file_loaded( __FILE__ )

#-------------------------------------------------------------------------------
